// GENPO - the GENeral Purpose Organ
// Copyright (C) 2003,2004 - Steve Merrony 

// This program is free software; you may redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the Free 
// Software Foundation; either version 2 of the License, or (at your option) 
// any later version.

// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
// FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.

// You should have received a copy of the GNU General Public License along with 
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple 
// Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef DIVISION_H
#define DIVISION_H

#include "stop.h"
#include "piston.h"
#include "coupler.h"

#include <qcolor.h>
#include <qstring.h>

const int MAX_STOPS = 32;
const int MAX_COUPLERS = 8;
const int MAX_PISTONS = 12;

class Division {

 public:
  QString label;
  QString name;
  QColor  colour;
  int     midiChannel;
  int     num_stops;
  Stop    stops[MAX_STOPS];
  int     num_pistons;
  Piston  pistons[MAX_PISTONS];
  int     num_couplers;
  Coupler couplers[MAX_COUPLERS];
};

#endif
